package com.ruoyi.system.service.grid.qcc;


import com.ruoyi.system.domain.qcc.enums.EsearchTypeEnum;
import com.ruoyi.system.domain.qcc.ext.EsearchResult;

public interface ISearch {
    EsearchTypeEnum getType();

    EsearchResult searchByUrl(String url, String appkey, String secKey);

    EsearchResult vagueSearch(String url, String appkey, String secKey);

    String getTokenJson(String url, String appkey, String secKey);

}
